<template lang="pug">
	extends Base.pug
	block valores
		- var titulo = "Texto"

	block funcion
		.campo
			label Texto
			input(type="text", v-model="valor", placeholder="Texto a Insertar")
		.botones
			button(type="button", @click="crearNuevo") Agregar Texto

</template>


<script>
import Base from './Base.vue';
import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	extends: Base,
	methods:{
		...mapActions({
			crear: "editor/crearTexto"
		})
	}

}
</script>
